Package org.apache.aries.jax.rs.whiteboard.internal

## Class AriesJaxrsServiceRuntime

- java.lang.Object
- - org.apache.aries.jax.rs.whiteboard.internal.AriesJaxrsServiceRuntime

All Implemented Interfaces:
  `org.osgi.service.jaxrs.runtime.JaxrsServiceRuntime`

    public class AriesJaxrsServiceRuntime
    extends Object
    implements org.osgi.service.jaxrs.runtime.JaxrsServiceRuntime

### Constructor Summary

Constructors
`AriesJaxrsServiceRuntime​(Whiteboard whiteboard)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `addApplicationDependentExtension​(org.apache.aries.component.dsl.CachingServiceReference<?> cachingServiceReference)`
`void` `addApplicationDependentResource​(org.apache.aries.component.dsl.CachingServiceReference<?> cachingServiceReference)`
`void` `addApplicationEndpoint​(PropertyHolder registratorReference, org.apache.aries.component.dsl.CachingServiceReference<?> endpointImmutableServiceReference, org.apache.cxf.Bus bus, Class<?> theClass)`
`void` `addApplicationExtension​(PropertyHolder registratorProperties, org.apache.aries.component.dsl.CachingServiceReference<?> extensionImmutableServiceReference, Class<?> theClass)`
`void` `addClashingApplication​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)`
`void` `addClashingExtension​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)`
`void` `addClashingResource​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)`
`void` `addContextDependentApplication​(org.apache.aries.component.dsl.CachingServiceReference<javax.ws.rs.core.Application> serviceReference)`
`void` `addDependentApplication​(org.apache.aries.component.dsl.CachingServiceReference<javax.ws.rs.core.Application> applicationReference)`
`void` `addDependentExtensionInApplication​(Map<String,​?> applicationReference, org.apache.aries.component.dsl.CachingServiceReference<?> cachingServiceReference)`
`void` `addDependentService​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)`
`void` `addErroredApplication​(org.apache.aries.component.dsl.CachingServiceReference<javax.ws.rs.core.Application> serviceReference)`
`<T> void` `addErroredEndpoint​(org.apache.aries.component.dsl.CachingServiceReference<T> serviceReference)`
`void` `addErroredExtension​(org.apache.aries.component.dsl.CachingServiceReference<?> cachingServiceReference)`
`void` `addInvalidApplication​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)`
`void` `addInvalidExtension​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)`
`void` `addInvalidResource​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)`
`boolean` `addNotGettableApplication​(org.apache.aries.component.dsl.CachingServiceReference<javax.ws.rs.core.Application> serviceReference)`
`<T> boolean` `addNotGettableEndpoint​(org.apache.aries.component.dsl.CachingServiceReference<T> serviceReference)`
`<T> void` `addNotGettableExtension​(org.apache.aries.component.dsl.CachingServiceReference<T> serviceReference)`
`void` `addServiceForName​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)`
`boolean` `addShadowedApplication​(org.apache.aries.component.dsl.CachingServiceReference<javax.ws.rs.core.Application> serviceReference, String actualBasePath)`
`org.osgi.service.jaxrs.runtime.dto.RuntimeDTO` `getRuntimeDTO()`
`static String` `getServiceName​(PropertyHolder properties)`
`void` `removeApplicationDependentExtension​(org.apache.aries.component.dsl.CachingServiceReference<?> cachingServiceReference)`
`void` `removeApplicationDependentResource​(org.apache.aries.component.dsl.CachingServiceReference<?> cachingServiceReference)`
`void` `removeApplicationEndpoint​(PropertyHolder registratorProperties, org.apache.aries.component.dsl.CachingServiceReference<?> cachingServiceReference)`
`void` `removeApplicationExtension​(PropertyHolder registratorProperties, org.apache.aries.component.dsl.CachingServiceReference<?> extensionImmutableServiceReference)`
`void` `removeClashingApplication​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)`
`void` `removeClashingExtension​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)`
`void` `removeClashingResource​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)`
`void` `removeContextDependentApplication​(org.apache.aries.component.dsl.CachingServiceReference<javax.ws.rs.core.Application> serviceReference)`
`void` `removeDependentApplication​(org.apache.aries.component.dsl.CachingServiceReference<javax.ws.rs.core.Application> applicationReference)`
`void` `removeDependentExtensionFromApplication​(Map<String,​?> properties, org.apache.aries.component.dsl.CachingServiceReference<?> cachingServiceReference)`
`void` `removeDependentService​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)`
`void` `removedServiceForName​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)`
`void` `removeErroredApplication​(org.apache.aries.component.dsl.CachingServiceReference<javax.ws.rs.core.Application> serviceReference)`
`<T> void` `removeErroredEndpoint​(org.apache.aries.component.dsl.CachingServiceReference<T> serviceReference)`
`void` `removeErroredExtension​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)`
`void` `removeInvalidApplication​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)`
`void` `removeInvalidExtension​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)`
`void` `removeInvalidResource​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)`
`void` `removeNotGettableApplication​(org.apache.aries.component.dsl.CachingServiceReference<javax.ws.rs.core.Application> serviceReference)`
`<T> void` `removeNotGettableEndpoint​(org.apache.aries.component.dsl.CachingServiceReference<T> serviceReference)`
`<T> void` `removeNotGettableExtension​(org.apache.aries.component.dsl.CachingServiceReference<T> serviceReference)`
`boolean` `removeShadowedApplication​(org.apache.aries.component.dsl.CachingServiceReference<javax.ws.rs.core.Application> serviceReference)`
`org.apache.aries.jax.rs.whiteboard.internal.AriesJaxrsServiceRuntime.ApplicationRuntimeInformation` `setApplicationForPath​(String path, org.apache.aries.component.dsl.CachingServiceReference<javax.ws.rs.core.Application> serviceReference, CxfJaxrsServiceRegistrator cxfJaxRsServiceRegistrator)`
`void` `unregisterApplicationExtensions​(org.apache.aries.component.dsl.CachingServiceReference<?> applicationReference)`
`org.apache.aries.jax.rs.whiteboard.internal.AriesJaxrsServiceRuntime.ApplicationRuntimeInformation` `unsetApplicationForPath​(String path)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AriesJaxrsServiceRuntime

    public AriesJaxrsServiceRuntime​(Whiteboard whiteboard)

### Method Detail

#### getServiceName

    public static String getServiceName​(PropertyHolder properties)

#### addApplicationDependentExtension

    public void addApplicationDependentExtension​(org.apache.aries.component.dsl.CachingServiceReference<?> cachingServiceReference)

#### addApplicationDependentResource

    public void addApplicationDependentResource​(org.apache.aries.component.dsl.CachingServiceReference<?> cachingServiceReference)

#### addApplicationEndpoint

    public void addApplicationEndpoint​(PropertyHolder registratorReference,
                                       org.apache.aries.component.dsl.CachingServiceReference<?> endpointImmutableServiceReference,
                                       org.apache.cxf.Bus bus,
                                       Class<?> theClass)

#### addApplicationExtension

    public void addApplicationExtension​(PropertyHolder registratorProperties,
                                        org.apache.aries.component.dsl.CachingServiceReference<?> extensionImmutableServiceReference,
                                        Class<?> theClass)

#### addClashingApplication

    public void addClashingApplication​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)

#### addClashingExtension

    public void addClashingExtension​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)

#### addClashingResource

    public void addClashingResource​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)

#### addContextDependentApplication

    public void addContextDependentApplication​(org.apache.aries.component.dsl.CachingServiceReference<javax.ws.rs.core.Application> serviceReference)

#### addDependentApplication

    public void addDependentApplication​(org.apache.aries.component.dsl.CachingServiceReference<javax.ws.rs.core.Application> applicationReference)

#### addDependentExtensionInApplication

    public void addDependentExtensionInApplication​(Map<String,​?> applicationReference,
                                                   org.apache.aries.component.dsl.CachingServiceReference<?> cachingServiceReference)

#### addDependentService

    public void addDependentService​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)

#### addErroredApplication

    public void addErroredApplication​(org.apache.aries.component.dsl.CachingServiceReference<javax.ws.rs.core.Application> serviceReference)

#### addErroredEndpoint

    public <T> void addErroredEndpoint​(org.apache.aries.component.dsl.CachingServiceReference<T> serviceReference)

#### addErroredExtension

    public void addErroredExtension​(org.apache.aries.component.dsl.CachingServiceReference<?> cachingServiceReference)

#### addInvalidApplication

    public void addInvalidApplication​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)

#### addInvalidExtension

    public void addInvalidExtension​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)

#### addInvalidResource

    public void addInvalidResource​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)

#### addNotGettableApplication

    public boolean addNotGettableApplication​(org.apache.aries.component.dsl.CachingServiceReference<javax.ws.rs.core.Application> serviceReference)

#### addNotGettableEndpoint

    public <T> boolean addNotGettableEndpoint​(org.apache.aries.component.dsl.CachingServiceReference<T> serviceReference)

#### addNotGettableExtension

    public <T> void addNotGettableExtension​(org.apache.aries.component.dsl.CachingServiceReference<T> serviceReference)

#### addServiceForName

    public void addServiceForName​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)

#### addShadowedApplication

    public boolean addShadowedApplication​(org.apache.aries.component.dsl.CachingServiceReference<javax.ws.rs.core.Application> serviceReference,
                                          String actualBasePath)

#### getRuntimeDTO

    public org.osgi.service.jaxrs.runtime.dto.RuntimeDTO getRuntimeDTO()

Specified by:
  `getRuntimeDTO` in interface `org.osgi.service.jaxrs.runtime.JaxrsServiceRuntime`

#### removedServiceForName

    public void removedServiceForName​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)

#### unregisterApplicationExtensions

    public void unregisterApplicationExtensions​(org.apache.aries.component.dsl.CachingServiceReference<?> applicationReference)

#### removeApplicationDependentExtension

    public void removeApplicationDependentExtension​(org.apache.aries.component.dsl.CachingServiceReference<?> cachingServiceReference)

#### removeApplicationDependentResource

    public void removeApplicationDependentResource​(org.apache.aries.component.dsl.CachingServiceReference<?> cachingServiceReference)

#### removeApplicationEndpoint

    public void removeApplicationEndpoint​(PropertyHolder registratorProperties,
                                          org.apache.aries.component.dsl.CachingServiceReference<?> cachingServiceReference)

#### removeApplicationExtension

    public void removeApplicationExtension​(PropertyHolder registratorProperties,
                                           org.apache.aries.component.dsl.CachingServiceReference<?> extensionImmutableServiceReference)

#### removeClashingApplication

    public void removeClashingApplication​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)

#### removeClashingExtension

    public void removeClashingExtension​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)

#### removeClashingResource

    public void removeClashingResource​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)

#### removeContextDependentApplication

    public void removeContextDependentApplication​(org.apache.aries.component.dsl.CachingServiceReference<javax.ws.rs.core.Application> serviceReference)

#### removeDependentApplication

    public void removeDependentApplication​(org.apache.aries.component.dsl.CachingServiceReference<javax.ws.rs.core.Application> applicationReference)

#### removeDependentExtensionFromApplication

    public void removeDependentExtensionFromApplication​(Map<String,​?> properties,
                                                        org.apache.aries.component.dsl.CachingServiceReference<?> cachingServiceReference)

#### removeDependentService

    public void removeDependentService​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)

#### removeErroredApplication

    public void removeErroredApplication​(org.apache.aries.component.dsl.CachingServiceReference<javax.ws.rs.core.Application> serviceReference)

#### removeErroredEndpoint

    public <T> void removeErroredEndpoint​(org.apache.aries.component.dsl.CachingServiceReference<T> serviceReference)

#### removeErroredExtension

    public void removeErroredExtension​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)

#### removeInvalidApplication

    public void removeInvalidApplication​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)

#### removeInvalidExtension

    public void removeInvalidExtension​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)

#### removeInvalidResource

    public void removeInvalidResource​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)

#### removeNotGettableApplication

    public void removeNotGettableApplication​(org.apache.aries.component.dsl.CachingServiceReference<javax.ws.rs.core.Application> serviceReference)

#### removeNotGettableEndpoint

    public <T> void removeNotGettableEndpoint​(org.apache.aries.component.dsl.CachingServiceReference<T> serviceReference)

#### removeNotGettableExtension

    public <T> void removeNotGettableExtension​(org.apache.aries.component.dsl.CachingServiceReference<T> serviceReference)

#### removeShadowedApplication

    public boolean removeShadowedApplication​(org.apache.aries.component.dsl.CachingServiceReference<javax.ws.rs.core.Application> serviceReference)

#### setApplicationForPath

    public org.apache.aries.jax.rs.whiteboard.internal.AriesJaxrsServiceRuntime.ApplicationRuntimeInformation setApplicationForPath​(String path,
                                                                                                                                    org.apache.aries.component.dsl.CachingServiceReference<javax.ws.rs.core.Application> serviceReference,
                                                                                                                                    CxfJaxrsServiceRegistrator cxfJaxRsServiceRegistrator)

#### unsetApplicationForPath

    public org.apache.aries.jax.rs.whiteboard.internal.AriesJaxrsServiceRuntime.ApplicationRuntimeInformation unsetApplicationForPath​(String path)